Skip to main content

Connectivity & Data Prep

Discussion board where members can learn more about Qlik Sense Data Connectivity.

Announcements
Welcome to Qlik Community! Check out our new navigation! FIND OUT MORE
cancel
Showing results for 
Search instead for 
Did you mean: 
dom
Employee
Employee

Legacy not working June QSD

I am trying to get legacy mode set up for QSD June release.

I editing the settings.ini from C:\Users\{user}\Documents\Qlik\Sense as specified in: https://help.qlik.com/en-US/sense/June2018/Subsystems/Hub/Content/LoadData/disable-standard-mode.htm

All that is in the .ini file is:

[Settings 7]

StandardReload=0

After saving then starting QSD:

This way works in the data load editor

Binary lib://DefaultQVF/HelpdeskManagement.qvf;

But when I try this first line

Binary HelpdeskManagement.qvf;

I get the error

Started loading data

The following error occurred:

No qualified path for file: ***

Any ideas?

4 Replies
bwisealiahmad
Partner - Specialist
Partner - Specialist

Hi,

You are setting it into legacy mode then using a binary call with "lib"?

Wouldn't you have to change that to be Binary C:\... for it to work?

Best,

Ali A

dom
Employee
Employee
Author

Sorry for not being more specific: I tried to use legacy with three different commands - just like it showed in the examples in the online help: https://help.qlik.com/en-US/sense/June2018/Subsystems/Hub/Content/Scripting/ScriptRegularStatements/... they gave errors:

1.

Binary HelpdeskManagement.qvf;

I get the error

Started loading data

The following error occurred:

No qualified path for file: ***

2.

Binary 'C:\Users\dom\Documents\Qlik\Sense\Apps\DefaultPriorToChanging.zip\DefaultPriorToChanging\HelpdeskManagement.qvf';

The following error occurred:

This statement only works with lib:// paths in this script mode

The error occurred here:

Binary 'C:\Users\dom\Documents\Qlik\Sense\Apps\DefaultPriorToChanging.zip\DefaultPriorToChanging\Helpdesk Management.qvf'

2b.

also tried without the quote - same error as 2:

Binary C:\Users\dom\Documents\Qlik\Sense\Apps\DefaultPriorToChanging.zip\DefaultPriorToChanging\HelpdeskManagement.qvf;

The error the second time makes it look like I'm not actually in the legacy script mode. Has anyone done this successfully in June release? Here is what I did to TRY to get it into legacy:

I editing the settings.ini from C:\Users\{user}\Documents\Qlik\Sense as specified in: https://help.qlik.com/en-US/sense/June2018/Subsystems/Hub/Content/LoadData/disable-standard-mode.htm

All that is in the .ini file is:

[Settings 7]

StandardReload=0

Any ideas?

bwisealiahmad
Partner - Specialist
Partner - Specialist

Hi,


So I've done it before with the lib version and I just copied that statement:

Binary [lib://Skrivebord/AGCO.qvw];

Best,

Ali A

bwisealiahmad
Partner - Specialist
Partner - Specialist

Hi,

I did this change in the Settings.ini file:

[Settings 7]

StandardReload=0

OverrideScriptSecurity=1

And tried to reload it in Standard mode...

Capture.PNG

And that made it work


Best,

Ali A